/*
 * Created by Stefan Korecko, 2016-20
 */


//SK texts:
let txtInitFrms ="Inicializujem formuláre.";
let txtWriteAlert = "Nemám kam zapísať."
let txtHds =" nadpisy";
let txtNoRemove="Nie je čo odstraňovať.";
let txtEvent ="Udalosť ";
let txtOn = " na ";
let txtRecFor = " zaznamenané pre ";
let colors=[["Červené","red"],["Zelené","green"],["Modré","blue"]]; //2nd value is css color name

//Other vars:
let colIdx=0;
let nextArtIndex=1;


function formInit(language) {

    if(language=='en'){
        //EN texts:
        txtInitFrms ="Initializing forms.";
        txtWriteAlert = "Nowhere to write."
        txtHds =" headings";
        txtNoRemove="Nothing to remove.";
        txtEvent ="Event ";
        txtOn = " on ";
        txtRecFor = " recorded for ";
        colors=[["Red","red"],["Green","green"],["Blue","blue"]]; //2nd value is css color name*/
    }

    //window.alert(txtInitFrms);
    $("#btHdCol").html(colors[colIdx][0]+txtHds);
    $("#innHtml").val($("#artWelcome").html());
    $("#tCont"  ).val($("#artWelcome").text());

        $("*").on("click",eventEcho);
        $("*").focus(eventEcho);
        //$("*").on("focus",eventEcho);



}



function writeInnerHtml(elmId) {
    let $elm=$("#"+elmId); //mena premennych typu jQuery sa zvyknu zacinat $
    console.log($elm.length);
    if($elm.length>0){
        $elm.html($("#innHtml").val());
        $("#innHtml").val($elm.html());
    }else{
        window.alert(txtWriteAlert)
    }
}

function writeTextContent(elmId) {
    let $elm=$("#"+elmId);
    if($elm.length>0){
        $elm.text($("#tCont").val());
        $("#tCont").val($elm.text());
    }else{
        window.alert(txtWriteAlert)
    }
}

function addArticle(){

    $("<article/>",{id:"cl"+nextArtIndex}).append($("<h2/>").html($("#newArtTtl").val())).append($("#newArtCnt").val()).insertBefore($("#endArts"));
    $("#lastArt").attr("href","#cl"+nextArtIndex);
    nextArtIndex++;

}

function removeFirst(){
    let $elms=$("body > article");
    if($elms.length>0){
        $($elms[0]).remove();
    }else{
        window.alert(txtNoRemove);
    }
}

function removeLast(){
    let $elms=$("body > article");
    if($elms.length>0){
        $($elms[$elms.length-1]).remove();
    }else{
        window.alert(txtNoRemove);
    }
}



function changeHeadingColors(){
    $("body > article > h2").css("color",colors[colIdx][1]);
    colIdx=(colIdx+1)%(colors.length);
    $("#btHdCol").html(colors[colIdx][0]+txtHds);
}

function removeListenerEventEcho(eventName){
    $("*").off(eventName,eventEcho);
    
}


function eventEcho(event){
    console.log(txtEvent+event.type+txtOn+event.target.tagName+txtRecFor+event.currentTarget.tagName);
}
